# Como BFF

```mermaid
sequenceDiagram
  client ->> bff: request /events
  bff ->> bff: Validates cookie como.sid
  bff ->> bff: Cookie does not exist
  bff ->> client: 401
  client ->> bff: Redirect /login
  bff ->> auth: /login
  auth ->> client: show webpage (give options)
  client ->> auth: Submit credentials
  auth ->> auth: Produce JWT
  auth ->> bff: redirect with jwt/refreshtoken
  bff ->> bff: wrap in cookie
  bff ->> client: Redirect with cookie
  client ->> bff: request /events
  bff ->> events: forward request
  events --> bff: returns events
  bff --> client: return events
```
